Loading...
Searching...
No Matches
oval_definition Struct Reference
OVAL » OVALDEF

Oval definition specification. More...

`#include <oval_definitions.h>`

Collaboration diagram for oval_definition:
[legend]

## Public Member Functions

OSCAP_API struct oval_definition * | oval_definition_new (struct oval_definition_model *, const char *id)
| Construct an instance of oval_definition.
OSCAP_API struct oval_definition * | oval_definition_clone (struct oval_definition_model *new_model, struct oval_definition *old_definition)
| Clone instance of oval_definition and add it to the specified oval_definition_model.
OSCAP_API void | oval_definition_free (struct oval_definition *)
| Release an instance of oval_definition.
Setters
OSCAP_API void | oval_definition_set_version (struct oval_definition *, int version)
| Set attribute oval_definition->version.
OSCAP_API void | oval_definition_set_class (struct oval_definition *, oval_definition_class_t)
| Set attribute oval_definition->class.
OSCAP_API void | oval_definition_set_deprecated (struct oval_definition *, bool deprecated)
| Set attribute oval_definition->deprecated.
OSCAP_API void | oval_definition_set_title (struct oval_definition *, char *title)
| Set attribute oval_definition->title.
OSCAP_API void | oval_definition_set_description (struct oval_definition *, char *description)
| Set attribute oval_definition->description.
OSCAP_API void | oval_definition_add_affected (struct oval_definition *, struct oval_affected *affected)
| Append instance of oval_affected to attribute oval_definition->affected.
OSCAP_API void | oval_definition_add_reference (struct oval_definition *, struct oval_reference *reference)
| Append instance of oval_reference to attribute oval_definition->references.
OSCAP_API void | oval_definition_add_note (struct oval_definition *, char *note)
| Append a copy of the note parameter to attribute Oval_definition->notes.
OSCAP_API void | oval_definition_set_criteria (struct oval_definition *, struct oval_criteria_node *criteria)
| Set attribute oval_definition->criteria.
Getters
OSCAP_API char * | oval_definition_get_id (struct oval_definition *)
| Returns attribute oval_definition->id (identifier).
OSCAP_API int | oval_definition_get_version (struct oval_definition *)
| Returns attribute oval_definition->version.
OSCAP_API oval_definition_class_t | oval_definition_get_class (struct oval_definition *)
| Returns attribute oval_definition->class.
OSCAP_API bool | oval_definition_get_deprecated (struct oval_definition *)
| Returns attribute oval_definition->deprecated.
OSCAP_API char * | oval_definition_get_title (struct oval_definition *)
| Returns attribute oval_definition->title.
OSCAP_API char * | oval_definition_get_description (struct oval_definition *)
| Returns attribute oval_definition->description.
OSCAP_API struct oval_affected_iterator * | oval_definition_get_affected (struct oval_definition *)
| Returns attribute oval_definition->affected.
OSCAP_API struct oval_reference_iterator * | oval_definition_get_references (struct oval_definition *)
| Returns attribute oval_definition->references.
OSCAP_API struct oval_string_iterator * | oval_definition_get_notes (struct oval_definition *)
| Returns attribute oval_definition->notes.
OSCAP_API struct oval_criteria_node * | oval_definition_get_criteria (struct oval_definition *)
| Returns attribute oval_definition->criteria.

## Data Fields

struct oval_definition_model * | model
char * | id
int | version
oval_definition_class_t | class
int | deprecated
char * | title
char * | description
struct oval_collection * | affected
struct oval_collection * | reference
struct oval_collection * | notes
char * | anyxml
struct oval_criteria_node * | criteria

## Detailed Description

Oval definition specification.

A definition is the key structure in OVAL. It is analogous to the logical sentence or proposition: if a computer's state matches the configuration parameters laid out in the criteria, then that computer exhibits the state described.

The documentation for this struct was generated from the following files:

- oval_definition.c
- oval_definitions.h